OpenVDB: InternalNode< ChildT, Log2Dim >::ChildIter< ParentT > Class Template Reference

OpenVDB 12.1.0

Loading...
Searching...
No Matches
InternalNode< ChildT, Log2Dim >::ChildIter< ParentT > Class Template Reference

Visits child nodes of this node only. More...

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for InternalNode< ChildT, Log2Dim >::ChildIter< ParentT >:

## Public Member Functions
__hostdev__ | ChildIter ()
__hostdev__ | ChildIter (ParentT *parent)
ChildIter & | operator= (const ChildIter &)=default
__hostdev__ NodeT & | operator* () const
__hostdev__ NodeT * | operator-> () const
__hostdev__ CoordType | getOrigin () const
__hostdev__ CoordType | getCoord () const

## Detailed Description

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>
template<typename ParentT>
class nanovdb::InternalNode< ChildT, Log2Dim >::ChildIter< ParentT >

Visits child nodes of this node only.

## Constructor & Destructor Documentation

## ◆ ChildIter() [1/2]

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>
template<typename ParentT>

__hostdev__ ChildIter | ( |  | ) |
| inline

## ◆ ChildIter() [2/2]

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>
template<typename ParentT>

__hostdev__ ChildIter | ( | ParentT * | parent | ) |
| inline

## Member Function Documentation

## ◆ getCoord()

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>
template<typename ParentT>

__hostdev__ CoordType getCoord | ( |  | ) | const
| inline

## ◆ getOrigin()

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>
template<typename ParentT>

__hostdev__ CoordType getOrigin | ( |  | ) | const
| inline

## ◆ operator*()

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>
template<typename ParentT>

__hostdev__ NodeT & operator* | ( |  | ) | const
| inline

## ◆ operator->()

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>
template<typename ParentT>

__hostdev__ NodeT * operator-> | ( |  | ) | const
| inline

## ◆ operator=()

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>
template<typename ParentT>

ChildIter & operator= | ( | const ChildIter< ParentT > & |  | ) |
| default